Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[error] emerge world, problemi xorg-server-1.3.0 con xfce4
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
effeuno
Apprentice
Apprentice


Joined: 23 Dec 2003
Posts: 292

PostPosted: Wed Oct 03, 2007 12:17 pm    Post subject: [error] emerge world, problemi xorg-server-1.3.0 con xfce4 Reply with quote

Dopo aver eseguito emerge -vuDn world, e aver fatto l'aggiornamento a xorg-server-1.3.0-r1 mi compare il problema, che avevo gia' postato, del logout impossibile sotto xfce4.

Ovvero: non posso uscire da xfce4 ne' con logout, ne' con CTRL+ALT+BACKSPACE.
Tutto va in crash e devo riavviare.

Risolto con....

1. il downgrade alla versione precedente: emerge -1uavD =xorg-server-1.2.0-r3

2. successiva compilazione del driver della scheda video del mio notebook: emerge xf86-video-siliconmotion)

Tutto torna al suo posto!!!!

Domanda: ad ogni aggiornamneto di world devo procedere in questo modo ?????

E' possibile comunicare ad emerge di non aggiornare a xorg-server-1.3.0-r1 ?????

Esiste un'altra soluzione o devo abbandonare la possibilita' di aggiornare world ??????

Grazie in anticipo per delucidazioni.
Back to top
View user's profile Send private message
Manwhe
Tux's lil' helper
Tux's lil' helper


Joined: 25 Jun 2007
Posts: 127

PostPosted: Wed Oct 03, 2007 12:28 pm    Post subject: Reply with quote

ciao

Nono ho sotto mano la mia gentoo cmq

dovresti mascherare il pacchetto /etc/portage/package.mask "= xorg-server-1.3.0-r1"

ciao
Back to top
View user's profile Send private message
Tigerwalk
Guru
Guru


Joined: 15 May 2007
Posts: 475
Location: Napoli

PostPosted: Wed Oct 03, 2007 12:59 pm    Post subject: Reply with quote

echo "= xorg-server-1.3.0-r1" >> /etc/portage/package.mask
Back to top
View user's profile Send private message
effeuno
Apprentice
Apprentice


Joined: 23 Dec 2003
Posts: 292

PostPosted: Wed Oct 03, 2007 1:08 pm    Post subject: Reply with quote

Tigerwalk wrote:
echo "= xorg-server-1.3.0-r1" >> /etc/portage/package.mask


Ok, faro' cosi'...... ma al prossimo aggiornamento, se per ipotesi world mi chiedesse aggiornamento a xorg-server-1.3.1, dovrei rifare il tutto.
Insomma con la mia scheda video non posso aggiornare, o sbaglio nel ragionamento.
Back to top
View user's profile Send private message
Manwhe
Tux's lil' helper
Tux's lil' helper


Joined: 25 Jun 2007
Posts: 127

PostPosted: Thu Oct 04, 2007 9:05 am    Post subject: Reply with quote

Una volta mascherato il pacchetto , quella verisone verra' ignorata dall'update di world
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Thu Oct 04, 2007 12:12 pm    Post subject: Re: [error] emerge world, problemi xorg-server-1.3.0 con xfc Reply with quote

effeuno wrote:
Dopo aver eseguito emerge -vuDn world, e aver fatto l'aggiornamento a xorg-server-1.3.0-r1 mi compare il problema, che avevo gia' postato, del logout impossibile sotto xfce4.

ho visto il tuo precedente post.
sinceramente toglierei il tag risolto.
quella di mascherare l'attuale xorg mi sembra accettabile solo come soluzione provvisoria, perché potrebbe rivelarsi poco stabile nel tempo. se possibile, ti consiglio di verificare meglio le versioni dei driver che stai utilizzando (xorg-server-1.3 richiederà probabilmente le più recenti) e di cercare eventuali bachi su bugzilla o su google. controlla sia i driver della scheda che eventuali altri driver accessori e leggi i log per cercare eventuali indizi sulla natura del problema.

non si maschera un pacchetto tanto importante solo perché sulla propria installazione non funziona, ma si verifica prima che si tratti realmente di un problema noto che ammette quella come unica soluzione raccomandata.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
Manwhe
Tux's lil' helper
Tux's lil' helper


Joined: 25 Jun 2007
Posts: 127

PostPosted: Thu Oct 04, 2007 1:46 pm    Post subject: Reply with quote

domanda da ignorante,
se maschero il pacchetto "= xorg-server-1.3.0-r1" vuol dire che solo quella versione non viene installata e le sucessive si? oppure e' sbagliata la mask ed e' da considerare "= xorg-server-1.3.0" come versione incluse le varie r?

Ciao
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Thu Oct 04, 2007 1:59 pm    Post subject: Reply with quote

@Manwhe
= significa quell'esatta versione, compreso -r?

se vuoi specificare una versione e tutte le eventuali release allora devi usare
~xorg-server-1.3.0

nel man ( di emerge o di portage, boh? ) dovrebbe essere spiegato in dettaglio
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
Manwhe
Tux's lil' helper
Tux's lil' helper


Joined: 25 Jun 2007
Posts: 127

PostPosted: Thu Oct 04, 2007 2:26 pm    Post subject: Reply with quote

grazie per la delucidazione :)
Back to top
View user's profile Send private message
effeuno
Apprentice
Apprentice


Joined: 23 Dec 2003
Posts: 292

PostPosted: Thu Oct 04, 2007 4:09 pm    Post subject: Re: [error] emerge world, problemi xorg-server-1.3.0 con xfc Reply with quote

cloc3 wrote:
......quella di mascherare l'attuale xorg mi sembra accettabile solo come soluzione provvisoria, perché potrebbe rivelarsi poco stabile nel tempo. se possibile, ti consiglio di verificare meglio le versioni dei driver che stai utilizzando (xorg-server-1.3 richiederà probabilmente le più recenti) e di cercare eventuali bachi su bugzilla o su google. controlla sia i driver della scheda che eventuali altri driver accessori e leggi i log per cercare eventuali indizi sulla natura del problema.

non si maschera un pacchetto tanto importante solo perché sulla propria installazione non funziona, ma si verifica prima che si tratti realmente di un problema noto che ammette quella come unica soluzione raccomandata.


Per vedere la versione del driver installato, cosa devo fare?????

Scusa la mia ignoranza, io ho semplicemente fatto emerge -pv xf86-video-siliconmotion ottenendo:

x11-drivers/xf86-video-silixonmotion-1.5.1..... poi ho emerso.

In seconda battuta ho fatto: emerge -pvuDN world ottenedo:

x11-base/xorg-server-1.3.0-r1....... ho emerso. Qualche consiglio.....
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Thu Oct 04, 2007 7:11 pm    Post subject: Re: [error] emerge world, problemi xorg-server-1.3.0 con xfc Reply with quote

effeuno wrote:

Per vedere la versione del driver installato, cosa devo fare?????

Code:

s939 linux # eix xf86-video-sili
* x11-drivers/xf86-video-siliconmotion
     Available versions:  1.4.1 ~1.4.2 1.5.1 {debug}
     Homepage:            http://xorg.freedesktop.org/
     Description:         Silicon Motion video driver

oppure navigare /usr/portage/x11-drivers/xf86-video-siliconmotion .
a quanto pare la tua è la versione più recente.

allora prova a controllare i log ( /var/log/Xorg.* oppure i log di sistema) o a cercare informazioni altrove. rimane il consiglio di considerare insoddisfacente la soluzione del downgrade fino alla dimostrazione che non ne esista una migliore.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum